[arvados] updated: 2.7.0-6507-g288f0787ac
git repository hosting
git at public.arvados.org
Fri Apr 26 14:05:51 UTC 2024
Summary of changes:
build/rails-package-scripts/postinst.sh | 22 ++++++++--------------
1 file changed, 8 insertions(+), 14 deletions(-)
via 288f0787acbee74105540185389e3ffa1c614f3f (commit)
from aead670cda417803f2c79b50cf1ea7463c8e37c4 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 288f0787acbee74105540185389e3ffa1c614f3f
Author: Brett Smith <brett.smith at curii.com>
Date: Fri Apr 26 10:03:37 2024 -0400
21700: Install Bundler system-wide in Rails postinst
This effectively reverts 7e2165a5b7561f0c84ede6ab4ae58003a1551a48 and
follow-ups. Other parts of our install process like test-provision
assume that the correct version of Bundler is installed system-wide
after installing arvados-api-server. So just do that and find the
`bundle` command after the fact. Refs #21700.
Arvados-DCO-1.1-Signed-off-by: Brett Smith <brett.smith at curii.com>
diff --git a/build/rails-package-scripts/postinst.sh b/build/rails-package-scripts/postinst.sh
index 1d426baa73..95bb920d0b 100644
--- a/build/rails-package-scripts/postinst.sh
+++ b/build/rails-package-scripts/postinst.sh
@@ -192,18 +192,14 @@ configure_version() {
cd "$RELEASE_PATH"
export RAILS_ENV=production
- # We install Bundler itself in the same place where Bundler will install
- # bundled gems, for a few reasons:
- # 1. Bundler will probably want to do this anyway to run itself with the
- # specific version named in Gemfile.lock.
- # 2. This is nicer to the sysadmin since we avoid messing with global state.
- # 3. We can know exactly where the `bundle` command got installed.
- local bundle_path="$SHARED_PATH/vendor_bundle"
- export GEM_HOME="$bundle_path/ruby/$(ruby -e 'puts RUBY_VERSION')"
- export GEM_PATH="$GEM_HOME"
run_and_report "Installing bundler" gem install --conservative --version '~> 2.4.0' bundler
- local bundle="$GEM_HOME/bin/bundle"
+ local bundle="$(gem contents --version '~> 2.4.0' bundler | grep '/exe/bundle$' | tail -n1)"
+ if ! [ -x "$bundle" ]; then
+ echo "Error: failed to find \`bundle\` command after installing bundler gem" >&2
+ return 1
+ fi
+ local bundle_path="$SHARED_PATH/vendor_bundle"
run_and_report "Running bundle config set --local path $SHARED_PATH/vendor_bundle" \
"$bundle" config set --local path "$bundle_path"
@@ -212,10 +208,8 @@ configure_version() {
# fail later. Work around this by installing all gems manually.
find vendor/cache -maxdepth 1 -name '*.gem' -print0 \
| run_and_report "Installing bundle gems" xargs -0r \
- gem install --conservative --ignore-dependencies --local --quiet
- # The earlier `bundle config` should have it looking for installed gems in
- # the right place. Unset GEM_* now to be sure.
- unset GEM_HOME GEM_PATH
+ gem install --conservative --ignore-dependencies --local --quiet \
+ --install-dir="$bundle_path/ruby/$(ruby -e 'puts RUBY_VERSION')"
run_and_report "Running bundle install" "$bundle" install --prefer-local --quiet
run_and_report "Verifying bundle is complete" "$bundle" exec true
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list